Bug 223040 - traceback with a package with namespace installed
traceback with a package with namespace installed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-setuptools (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Konstantin Ryabitsev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-17 12:21 EST by Patrice Dumas
Modified: 2008-10-02 09:24 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-02 09:24:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2007-01-17 12:21:27 EST
Description of problem:

After I install python-dap (http://pydap.org/), using a rpm I locally
build, with the usual:

%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py  install --single-version-externally-managed -O1
--skip-build --root %{buildroot}

setuptools traceback, for example when rebuilding setuptools itself:

+ /usr/bin/python setup.py build
Traceback (most recent call last):
  File "setup.py", line 12, in <module>
    from setuptools import setup, find_packages
  File
"/home/dumas/src/fe-cvs/python-setuptools/devel/setuptools-0.6c5/setuptools/__init__.py",
line 2, in <module>
    from setuptools.extension import Extension, Library
  File
"/home/dumas/src/fe-cvs/python-setuptools/devel/setuptools-0.6c5/setuptools/extension.py",
line 2, in <module>
    from dist import _get_unpatched
  File
"/home/dumas/src/fe-cvs/python-setuptools/devel/setuptools-0.6c5/setuptools/dist.py",
line 6, in <module>
    from setuptools.command.sdist import sdist
  File
"/home/dumas/src/fe-cvs/python-setuptools/devel/setuptools-0.6c5/setuptools/command/sdist.py",
line 3, in <module>
    import os, re, sys, pkg_resources
  File
"/home/dumas/src/fe-cvs/python-setuptools/devel/setuptools-0.6c5/pkg_resources.py",
line 2499, in <module>
    add_activation_listener(lambda dist: dist.activate())
  File
"/home/dumas/src/fe-cvs/python-setuptools/devel/setuptools-0.6c5/pkg_resources.py",
line 599, in subscribe
    callback(dist)
  File
"/home/dumas/src/fe-cvs/python-setuptools/devel/setuptools-0.6c5/pkg_resources.py",
line 2499, in <lambda>
    add_activation_listener(lambda dist: dist.activate())
  File
"/home/dumas/src/fe-cvs/python-setuptools/devel/setuptools-0.6c5/pkg_resources.py",
line 2048, in activate
    map(declare_namespace, self._get_metadata('namespace_packages.txt'))
  File
"/home/dumas/src/fe-cvs/python-setuptools/devel/setuptools-0.6c5/pkg_resources.py",
line 1653, in declare_namespace
    __import__(parent)
ImportError: No module named dap

paster also traceback with a similar message.

I found that on the web:
http://mail.python.org/pipermail/distutils-sig/2006-March/006177.html

Version-Release number of selected component (if applicable):

setuptools-0.6c3-1.1

I get the same when rebuilding with 
setuptools-0.6c5

As a side note, it could be relevant to update python-setuptools to
that version.

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
You can find python-dap srpm and rpm here:

http://www.environnement.ens.fr/perso/dumas/python-dap-2.2.5.7-1.src.rpm
http://www.environnement.ens.fr/perso/dumas/python-dap-2.2.5.7-1.noarch.rpm
Comment 1 Konstantin Ryabitsev 2007-01-17 13:52:45 EST
Re: updated version: there's a number of bugs in 0.6c4 and 0.6c5. I'm waiting
for the promised 0.6c6 that fixes them.

I'll try to grok the other issue some time this week.
Comment 2 Patrice Dumas 2008-01-27 18:36:30 EST
This issue is still in python-setuptools-0.6c7-2.fc8
in rawhide.
Comment 3 Bug Zapper 2008-05-13 22:33:21 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Patrice Dumas 2008-10-02 09:24:54 EDT
This is fixed with pydap 2.2.6 and in rawhide, though I don't know what 
fixed it.

Note You need to log in before you can comment on or make changes to this bug.